#include "DLTestManager.h"
#include "DLTest.h"
#include "DLDocIDBatchTest.h"
#include "DLVersions.h"
#include <iostream>

using namespace std;

/**
 * \brief The main function of the driver application that runs
 * logo detector on a list of user specified document images
 */
int main(int argc, char *argv[])
{
	cout << "University of Maryland Image Content Recognizer" << endl;
	cout << "DOCLIB version " << DL_VERSION << endl;

	// add your new test below
	DLTestManager mgr(argc, argv);

	DLDocIDBatchTest docIDDetectTest("Document classification ...", argc, argv);
	mgr.addTestCase(&docIDDetectTest);
	mgr.go();

	// end of your test case
}
