#ifndef _DLDocID_H
#define _DLDocID_H

#include "DLLBP.h"
#include "DLImage.h"
#include "DLBitsPerPixelConverter.h"
#include "DLClassifier.h"

#include <vector>

using namespace std;

class DLDocID
{
public:
	enum DLImageType
	{
		DL_DOCUMENT_IMAGE = 1,
		DL_IMAGE_WITH_TEXT = 2,
		DL_NONDOCUMENT_IMAGE = 3
	};

	DLDocID(string modelfilename, int windowsize, bool test);
	bool batchTraining( string filelistname );
	DLImageType test( string testfilename );
	DLImageType test( const DLImage& testImage );

protected:
	DLClassifier* classifier;
	string model_filename;
	int winsize;
};

#endif