#include "DLTestManager.h"
#include "DLTest.h"
#include "DLLogoDetectBatchTest.h"
#include "DLVersions.h"
#include <iostream>

using namespace std;

/**
 * \brief The main function of the driver application that runs
 * logo detector on a list of user specified document images
 */
int main(int argc, char *argv[])
{	
	cout << "University of Maryland Logo Detector" << endl;
	cout << "DOCLIB version " << DL_VERSION << endl;

	// add your new test below
	DLTestManager mgr(argc, argv);

	DLLogoDetectBatchTest logoDetectTest("Logo Detection ...", argc, argv);
	mgr.addTestCase(&logoDetectTest);
	mgr.go();

	// end of your test case
}
