#include "DLTestManager.h"
#include "DLTest.h"
#include "DLSignatureDetectBatchTest.h"
#include "DLVersions.h"
#include <iostream>

using namespace std;

/**
 * \brief The main function of the driver application that runs
 * signature detector on a list of user specified document images
 */
int main(int argc, char **argv)
{	
	cout << "University of Maryland Signature Detector" << endl;
	cout << "DOCLIB version " << DL_VERSION << endl;

	// add your new test below
	DLTestManager mgr(argc, argv);

	DLSignatureDetectBatchTest sigDetectTest("Signature Detection ...", argc, argv);
	mgr.addTestCase(&sigDetectTest);
	mgr.go();

	// end of your test case

}//end main
