#include "DLStampDetectBatchTest.h"
#include "DLTestManager.h"
#include "DLTest.h"
#include "DLVersions.h"

#include <iostream>

using namespace std;

/**
 * \brief The main function of the driver application that runs
 * stamp detector on a list of user specified document images
 */
int main(int argc, char *argv[])
{
	cout << "University of Maryland Stamp Detector" << endl;
	cout << "DOCLIB version " << DL_VERSION << endl;

	// add your new test below
	DLTestManager mgr(argc, argv);

	DLStampDetectBatchTest stampDetectTest("Stamp Detection ...", argc, argv);
	mgr.addTestCase(&stampDetectTest);
	mgr.go();

	// end of your test case
}
